struts2跟Hibernate整合时javassist包错误,解决不了啊

ForeverRoad 发布于 2014/11/30 19:58
阅读 776
收藏 0
_$$_javassist_2 cannot be cast to javassist.util.proxy.Proxy


好像是javassist的jar包重复了,我看了,确实有两个,但是删除任何一个仍然报错,百度了说改pom.xml,但是我就找不到~~~~~
加载中
0
ForeverRoad
ForeverRoad
有没有大神啊 
0
hibegin
hibegin
留高版本呀。javassist 这个应有做向下兼容的。
hibegin
hibegin
去官网找个最新的看看。 有可能是版本兼容问题。。。
ForeverRoad
ForeverRoad
我试过了啊,留一个也报错,多表查询时就出错
0
ForeverRoad
ForeverRoad
一个lazy=“false”就解决了。延迟加载就好了,坑啊,整半天
返回顶部
顶部